> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/backend/beacon/replace-a-beacon.md).

# Replace

If a beacon is already paired with the vehicle, it can be replaced. In this case, you can use the API described below.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/beae9d21a175e-replace-a-beacon).
{% endhint %}

## Replace a beacon

<mark style="color:orange;">`PUT`</mark> `https://service.drivequant.com/v3/drivekit/admin/vehicles/{vehicleId}/beacon/change`

Change the beacon paired to the vehicle.

#### Path Parameters

| Name      | Type   | Description               |
| --------- | ------ | ------------------------- |
| vehicleId | string | Vehicle unique identifier |

#### Headers

| Name                   | Type   | Description   |
| ---------------------- | ------ | ------------- |
| DriveKit-Admin-API-Key | string | Admin API Key |

#### Request Body

| Name          | Type    | Description             |
| ------------- | ------- | ----------------------- |
| major         | integer | Major                   |
| minor         | integer | Minor                   |
| proximityUuid | string  | proximity UUID          |
| uniqueId      | string  | Beacon unique identifer |

{% tabs %}
{% tab title="200 " %}

```
success
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/backend/beacon/replace-a-beacon.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
